complexType "InterestCalculationTerms"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculationType?, index?, spread?, dayCountFraction?
</...>

Content Model Elements (4):

  calculationType, dayCountFraction (in interestCalculationTerms), | index (in interestCalculationTerms), spread (in interestCalculationTerms)

All Direct / Indirect Based Elements (1):

  interestCalculationTerms

Known Usage Locations

- As direct type of elements (1):
  interestCalculationTerms

XML Source (see within schema source)

<xsd:complexType name="InterestCalculationTerms"> <xsd:sequence> <xsd:element minOccurs="0" name="calculationType" type="InterestCalculationTypeEnum"/> <xsd:element minOccurs="0" name="index" type="FloatingRateIndex"/> <!-- reusing FpML Floating Rate Index Scheme floating-rate-index-2-2.xml--> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
calculationType

  Type: | InterestCalculationTypeEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: | "Simple", "Compounding"

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="calculationType" type="InterestCalculationTypeEnum"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

index

  Type: | FloatingRateIndex, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="index" type="FloatingRateIndex"/>

spread

  Type: | xsd:decimal, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.